﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace DAQWriteRead
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnWrite_Click(object sender, EventArgs e)
        {
            Task analogOutTask = new Task();
            AOChannel myAOChannel;

            myAOChannel = analogOutTask.AOChannels.CreateVoltageChannel(
                          "dev1/ao0",
                          "myAOChannel",
                          0,
                          5,
                          AOVoltageUnits.Volts
                          );

            AnalogSingleChannelWriter writer = new
                   AnalogSingleChannelWriter(analogOutTask.Stream);

            double analogDataOut;
            analogDataOut = Convert.ToDouble(txtDaqWrite.Text);

            writer.WriteSingleSample(true, analogDataOut);
        }

        private void btnRead_Click(object sender, EventArgs e)
        {
            Task analogInTask = new Task();

            AIChannel myAIChannel;

            myAIChannel = analogInTask.AIChannels.CreateVoltageChannel(
                "dev1/ai0",
                "myAIChannel",
                AITerminalConfiguration.Differential,
                0,
                10,
                AIVoltageUnits.Volts
                );

            AnalogSingleChannelReader reader = new AnalogSingleChannelReader(analogInTask.Stream);

            double analogDataIn = reader.ReadSingleSample();

           

            txtDaqRead.Text = analogDataIn.ToString("0.00");

        }
    }
}
