
CREATE TABLE SENSOR_TYPE
( 
	SensorTypeId         int  NOT NULL  IDENTITY ( 1,1 ) ,
	SensorTypeName       varchar(50)  NULL ,
	CONSTRAINT XPKSENSOR_TYPE PRIMARY KEY  CLUSTERED (SensorTypeId ASC)
)
go

CREATE TABLE SENSOR
( 
	SensorId             int  NOT NULL  IDENTITY ( 1,1 ) ,
	SensorName           varchar(50)  NULL ,
	SensorTypeId         int  NULL ,
	CONSTRAINT XPKSENSOR PRIMARY KEY  CLUSTERED (SensorId ASC),
	CONSTRAINT R_1 FOREIGN KEY (SensorTypeId) REFERENCES SENSOR_TYPE(SensorTypeId)
)
go

CREATE TABLE STATISTICSDATA
( 
	StatisticsDataId     int  NOT NULL  IDENTITY ( 1,1 ) ,
	SensorId             int  NULL ,
	AverageData          float  NULL ,
	MinData              float  NULL ,
	MaxData              float  NULL ,
	CONSTRAINT XPKSTATISTICSDATA PRIMARY KEY  CLUSTERED (StatisticsDataId ASC),
	CONSTRAINT R_3 FOREIGN KEY (SensorId) REFERENCES SENSOR(SensorId)
)
go

CREATE TABLE MEASUREMENTDATA
( 
	MeasurementId        int  NOT NULL  IDENTITY ( 1,1 ) ,
	MeasurementTimeStamp datetime  NULL ,
	SensorId             int  NULL ,
	MeasurementValue     float  NULL ,
	FahrenheitValue      float  NULL ,
	CONSTRAINT XPKMEASUREMENTDATA PRIMARY KEY  CLUSTERED (MeasurementId ASC),
	CONSTRAINT R_2 FOREIGN KEY (SensorId) REFERENCES SENSOR(SensorId)
)
go
