IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'CalculateStatistics' 
	   AND 	  type = 'TR')
	DROP TRIGGER CalculateStatistics
GO

CREATE TRIGGER CalculateStatistics ON MEASUREMENTDATA
FOR UPDATE, INSERT, DELETE 
AS

DECLARE
@SensorId int,
@AverageData float,
@MinData float,
@MaxData float

select @SensorId = SensorId from INSERTED

select @AverageData = AVG(MeasurementValue) from MEASUREMENTDATA where SensorId = @SensorId
select @MinData = MIN(MeasurementValue) from MEASUREMENTDATA where SensorId = @SensorId
select @MaxData = MAX(MeasurementValue) from MEASUREMENTDATA where SensorId = @SensorId

update STATISTICSDATA set 
AverageData = @AverageData,
MinData = @MinData,
MaxData = @MaxData   
where SensorId = @SensorId

GO
