IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'ConvertFahrenheit' 
	   AND 	  type = 'TR')
	DROP TRIGGER ConvertFahrenheit
GO

CREATE TRIGGER ConvertFahrenheit ON MEASUREMENTDATA
FOR UPDATE, INSERT
AS

DECLARE
@MeasurementId int,
@MeasurementValue float,
@FahrenheitValue float

select @MeasurementId = MeasurementId from INSERTED
select @MeasurementValue = MeasurementValue from INSERTED

set @FahrenheitValue = (@MeasurementValue*9)/5 + 32;

update MEASUREMENTDATA set FahrenheitValue= @FahrenheitValue where MeasurementId= @MeasurementId

GO
