﻿using System;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Configuration;
using NationalInstruments.DAQmx;


namespace Save_Data_to_Database
{
    public partial class Form1 : Form
    {
         string connectionString = ConfigurationManager.ConnectionStrings["DatabaseConnectionString"].ConnectionString;

        public Form1()
        {
            InitializeComponent();
        }

        private void btnSaveData_Click(object sender, EventArgs e)
        {

            SaveMeasurementData();

        }

        private void btnGetSensorData_Click(object sender, EventArgs e)
        {

            GetSensorData();

        }

        void SaveMeasurementData()
        {
            string sensorName;
            double measurementValue;

            sensorName = txtSensorName.Text;
            measurementValue = Convert.ToDouble(txtMeasurementValue.Text);

            try
            {
                using (SqlConnection con = new SqlConnection(connectionString))
                {
                    SqlCommand cmd = new SqlCommand("SaveMeasurementData", con);
                    cmd.CommandType = CommandType.StoredProcedure;

                    cmd.Parameters.Add(new SqlParameter("@SensorName", sensorName));
                    cmd.Parameters.Add(new SqlParameter("@MeasurementValue", measurementValue));
            
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }

        }

        void GetSensorData()
        {
            Task temperatureTask = new Task();

            AIChannel myAIChannel;

            myAIChannel = temperatureTask.AIChannels.CreateThermocoupleChannel(
                "Dev1/ai0",
                "Temperature",
                0,
                100,
                AIThermocoupleType.J,
                AITemperatureUnits.DegreesC,
                25
                );


            AnalogSingleChannelReader reader = new AnalogSingleChannelReader(temperatureTask.Stream);

            double analogDataIn = reader.ReadSingleSample();

            txtMeasurementValue.Text = analogDataIn.ToString("0.0");
        }

       
    }
}
